ru.bitel.bgbilling.kernel.event

## Class LocalEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.LocalEvent

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    ActionEvent, AdditionalActionEvent, AdditionalAgreementEvent, AGRRequestEvent, AlfabankAutopaymentSumEvent, AppsEvent, AssistantActionsListEvent, BeforeLoginDeleteEvent, BeforeServiceDeleteEvent, BeforeSubscribeEvent, CalculateEvent, CancelTariffEvent, CardPubActivateEvent, ChangeContractLimitEvent, ChangePacketSubscriptionEvent, ChangeTariffByTaskEvent, ChronoPayAutopaymentSumEvent, CommandEvent, ContractAddingSubEvent, ContractCommentPatternEvent, ContractCreatedEvent, ContractObjectParameterBeforeUpdateEvent, ContractParamBeforeChangeEvent, ContractSetStatusLogicEvent, ContractStatusChangingCheck, ContractStatusChangingEvent, ContractWebLoginEvent, ConvergenceBalanceEvent, CreateProblemFromCallEvent, DebetStatusManageOpenGetAdditionalCharge, DocumentGetPatternListEvent, FiasGetAbonentLocationFind, FlowAgentInterfaceMapReloadedEvent, ForpostCameraAddEvent, GazprombankAutopaymentSumEvent, GetAdditionalActionListEvent, GetAttensionEvent, GetChangeTariffDatesEvent, GetChargeTypeEvent, GetContractCardsList, GetContractStatusChangeDatesEvent, GetPacketDatesEvent, GetTariffListEvent, InetAccountingPeriodActivateEvent, InetRadiusProcessor.AuthAcceptEvent, InetReloadLocalEvent, InetServChangingEvent, LogProcessInterrupted, MegogoSubscriptionUpdateEvent, MobileRequestEvent, MPSBeforePaymentEvent, MPSBeforeRequestEvent, MPSBeforeResponseEvent, MPSSbrfSumEvent, MTSbankAutopaymentSumEvent, OnContractWrapEvent, OpenPeriodRequestEvent, PaymasterAutopaymentSumEvent, PaymentChangingEvent, PayonlineAutopaymentSumEvent, ProductModifyEvent, ProductOfferingListEvent, ProductOrderEvent, ProductPeriodModifyEvent, PSBAutopaymentSumEvent, RadiusAccessRequestEvent, RadiusAuthenticationEvent, RegisterTaskClosedEvent, RegisterTaskProcessEvent, RegisterTaskUpdateEvent, RFIeCommerceAutopaymentSumEvent, SberbankAutopaymentSumEvent, SessionCreatingEvent, SessionStoppedEvent, SormUploadEvent, SubscriptionTypeListAvailableEvent, TariffOptionBeforeActivateEvent, TariffOptionListAvailableEvent, TariffZoneChangedEvent, TinkoffAutopaymentSumEvent, TopicWillBeCreated, TvAccountModifyEvent, TvReloadLocalEvent, UnitellerAutopaymentSumEvent, UnitellerSumEvent, ValidateTextParamEvent, VepayAutopaymentSumEvent, VepaySumEvent, VoiceDevicesReloadLocalEvent, WiFiActivateEvent, WiFiGetLoginsOnEmailEvent, YKAutopaymentSumEvent

      public abstract class LocalEvent
      extends QueueEvent

  Локальное событие которое не выходит за рамки приложения.
  Такой тип события должен подойти, например, для переоформления договора (ContractWrapEvent).
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `LocalEvent()`
    `` | `LocalEvent(int moduleId, int contractId, int userId)`
    `` | `LocalEvent(int moduleId, int pluginId, int contractId, int userId)`

  - ### Method Summary

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalEvent

          protected LocalEvent()

    - #### LocalEvent

          public LocalEvent(int moduleId,
                            int pluginId,
                            int contractId,
                            int userId)

    - #### LocalEvent

          public LocalEvent(int moduleId,
                            int contractId,
                            int userId)